# Copyright (c) 2000-2014, JPackage Project
# All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met:
#
# 1. Redistributions of source code must retain the above copyright
#    notice, this list of conditions and the following disclaimer.
# 2. Redistributions in binary form must reproduce the above copyright
#    notice, this list of conditions and the following disclaimer in the
#    documentation and/or other materials provided with the
#    distribution.
# 3. Neither the name of the JPackage Project nor the names of its
#    contributors may be used to endorse or promote products derived
#    from this software without specific prior written permission.
#
# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
# "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
# LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
# A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
# OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
# LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
# DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
# THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
# OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
#

%define section free

Name:           hsqldb2
Summary:        Java Database
Url:            http://www.hsqldb.org/
Version:        2.3.2
Release:        1%{?dist}
Epoch:          0
License:        BSD-style
Group:          Development/Libraries/Java
BuildArch:      noarch
Source0:        hsqldb2-%{version}.tgz
# svn export https://hsqldb.svn.sourceforge.net/svnroot/hsqldb/base/tags/2.3.2/ hsqldb2-2.3.2
# tar czf ../SOURCES/hsqldb2-2.3.2.tgz hsqldb2-2.3.2/

Source1:        http://repo1.maven.org/maven2/org/hsqldb/hsqldb/2.3.2/hsqldb-2.3.2.pom
Source2:        http://repo1.maven.org/maven2/org/hsqldb/sqltool/2.3.2/sqltool-2.3.2.pom
Patch0:         hsqldb2-TestScript.patch

BuildRequires:  jpackage-utils >= 0:1.7.5
BuildRequires:  java-devel >= 0:1.6.0
BuildRequires:  ant >= 0:1.7.1
BuildRequires:  junit4
BuildRequires:  junit

Requires:  java >= 0:1.6.0
Requires(post):   jpackage-utils >= 0:1.7.5
Requires(postun): jpackage-utils >= 0:1.7.5

BuildRoot:  %{_tmppath}/%{name}-%{version}-buildroot

%description
HSQLDB (HyperSQL DataBase) is the leading SQL relational 
database engine written in Java. It offers a small, fast 
multithreaded and transactional database engine with 
in-memory and disk-based tables and supports embedded and 
server modes. It includes a powerful command line SQL tool 
and simple GUI query tools.
HSQLDB supports the widest range of SQL Standard features 
seen in any open source database engine: SQL:2011 core 
language features and an extensive list of SQL:2011 optional 
features. It supports nearly full Advanced ANSI-92 SQL (BNF 
format). Many extensions to the Standard, including syntax 
compatibility and features of other popular database engines, 
are also supported.
Version 2.3 is fully multithreaded and supports high 
performance 2PL and MVCC (multiversion concurrency 
control) transaction control models.

%package javadoc
Summary:     Javadoc for %{name}
Group:       Development/Documentation

%description javadoc
Javadoc for %{name}.

%prep
%setup -q 
chmod -R go=u-w *
for j in $(find . -name "*.jar"); do
 mv $j $j.no
done
%patch0 -b .sav0

%build
cd build
export CLASSPATH=$(build-classpath \
junit4 \
junit \
)
ant -Dbuild.sysclasspath=first hsqldb hsqljdbc hsqldbmain hsqldbutil hsqldbmin hsqldbtest sqltool javadoc

%install
# jars
install -d -m 755 $RPM_BUILD_ROOT%{_javadir}/%{name}/

install -m 644 lib/sqltool.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/sqltool-%{version}.jar
install -m 644 lib/hsqldbmain.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/hsqldbmain-%{version}.jar
install -m 644 lib/hsqljdbc.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/hsqljdbc-%{version}.jar
install -m 644 lib/hsqldbutil.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/hsqldbutil-%{version}.jar
install -m 644 lib/hsqldb.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/hsqldb-%{version}.jar
install -m 644 lib/hsqldbmin.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/hsqldbmin-%{version}.jar
install -m 644 lib/hsqldbtest.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/hsqldbtest-%{version}.jar

(cd $RPM_BUILD_ROOT%{_javadir}/%{name} && for jar in *-%{version}*; do ln -sf ${jar} `echo $jar| sed  "s|-%{version}||g"`; done)

# pom
install -d -m 755 $RPM_BUILD_ROOT%{_datadir}/maven2/poms
install -m 644 %{SOURCE1} $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-hsqldb.pom
%add_to_maven_depmap org.hsqldb hsqldb %{version} JPP/%{name} hsqldb
install -m 644 %{SOURCE2} $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-sqltool.pom
%add_to_maven_depmap org.hsqldb sqltool %{version} JPP/%{name} sqltool

# javadoc
install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
cp -pr doc/apidocs/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
ln -sf %{name}-%{version} $RPM_BUILD_ROOT%{_javadocdir}/%{name} # ghost symlink


%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_maven_depmap

%postun
%update_maven_depmap

%files
%defattr(-,root,root)
%dir %{_javadir}/%{name}
%{_javadir}/%{name}/*.jar
%{_datadir}/maven2/poms/*
%{_mavendepmapfragdir}/*

%files javadoc
%defattr(-,root,root)
%doc %{_javadocdir}/%{name}-%{version}
%doc %{_javadocdir}/%{name}

%changelog
* Tue Jul 15 2014 Ralph Apel <r.apel@r-apel.de> 0:2.3.2-1
- 2.3.2

* Sun Aug 11 2013 Ralph Apel <r.apel@r-apel.de> 0:2.3.0-1
- First release as hsqldb2

